###############################################
### DATABASE CONNECTIVITY CONFIGURATIONS ###
###############################################
database.ip = ${DB_IP:localhost}
database.port = ${DB_PORT:5432}
database.user = ${DB_USER:postgres}
database.password = ${DB_PASSWORD:root}
database.name = ${DB_DBNAME:city-db-user}


spring.datasource.platform=postgres
spring.datasource.url = jdbc:postgresql://${database.ip}:${database.port}/${database.name}
spring.datasource.username = ${database.user}
spring.datasource.password = ${database.password}


spring.jpa.properties.hibernate.dialect = org.hibernate.dialect.PostgreSQLDialect
# Hibernate ddl auto (create, create-drop, validate, update)
spring.jpa.hibernate.ddl-auto = update
spring.jpa.open-in-view=false
spring.jpa.properties.hibernate.show_sql=true
#
#server.tomcat.threads.max = 1
################################################
#### LOGGING CONFIGURATIONS ###
################################################
logging.level.root=error
logging.level.org.springframework=error
logging.level.ro.tuc=error


###############################################
### EMBEDDED TOMCAT CONFIGURATIONS ###
###############################################
server.port=${PORT:8085}
jwt.secret=javainuse
